=== debian/changelog ===
routino (2.7-1.2) testing-proposed-updates; urgency=medium

  * Non-maintainer upload.
  * routino-www.postrm: Don't fail on removal of a non-existing directory.
    Don't repeat the same actions on remove and purge - only remove the
    results directory during purge.  (Closes: #656586)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Dec 2014 21:55:19 +0100

routino (2.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on zlib1g-dev. 
    Patch by Plamen Alexandrov <plamen@aomeda.com>.
    Closes: #751022.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Jul 2014 10:29:44 +0100

routino (2.7-1) unstable; urgency=low

  * New upstream release
  * Add desktop and avahi service file
  * Use leaflet instead of openlayers
  * Update patches
  * Depend on apache2 | httpd, Build-Depend on libbz2-dev
  * push standards version to 3.9.5

 -- Uwe Steinmann <steinm@debian.org>  Tue, 22 Apr 2014 7:40:08 +0200
