=== debian/control ===
Source: routino
Section: misc
Priority: extra
Maintainer: Thibaut Gridel <tgridel@free.fr>
Uploaders: Uwe Steinmann <steinm@debian.org>
Build-Depends: debhelper (>= 7.0.50~), flex, libbz2-dev, zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://www.routino.org/
Vcs-Git: git://git.debian.org/pkg-grass/routino.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/routino.git
 

Package: routino
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Set of tools to find a path between two points.
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap

Package: routino-www
Architecture: all
Depends: apache2 | httpd, libjs-leaflet, javascript-common, routino, ${misc:Depends}
Description: Web frontend for routino
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This is the web frontend to the router.
