=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/tmp/usr/share/routino/www
	cp -r web/www/routino/* $(CURDIR)/debian/tmp/usr/share/routino/www
	install -d $(CURDIR)/debian/tmp/etc/routino-www
	install -m 644 debian/apache.conf $(CURDIR)/debian/tmp/etc/routino-www/apache.conf
	install -m 644 debian/avahi.conf $(CURDIR)/debian/tmp/etc/routino-www/routino-www.service
	install -m 644 debian/routino-www.desktop $(CURDIR)/debian/tmp/etc/routino-www/
