## routino 2.7.2

=== debian/changelog ===
routino (2.7.2-3) unstable; urgency=medium

  * Team upload.
  * Restructure control file with cme.
  * Bump Standards-Version to 3.9.6, no changes.
  * Use canonical Vcs-* URLs.
  * Add patch to use hardening build flags.
  * Remove period from package description.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 06 Dec 2014 11:59:30 +0100

routino (2.7.2-2) testing-proposed-updates; urgency=medium

  * Team upload.
  * Incorporate changes from NMUs:
    - 2.7-1.1  Build-Depend on zlib1g-dev (closes: #769012)
    - 2.7-1.2  Don't fail on removal of non-existing directory
  * Set Debian GIS Project as Maintainer, move Thibaut Gridel to Uploaders.
  * Add gbp.conf to use pristine-tar by default.
  * Add prerm for routino-www to remove the Apache configuration.
  * Verified that apache configuration works with Apache 2.4.
    (closes: #669788)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 05 Dec 2014 17:27:13 +0100

routino (2.7.2-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <steinm@debian.org>  Thu, 30 Oct 2014 6:45:27 +0100
