=== debian/control ===
Source: routino
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Uwe Steinmann <steinm@debian.org>,
           Thibaut Gridel <tgridel@free.fr>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 7.0.50~),
               flex,
               libbz2-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/routino.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/routino.git
Homepage: http://www.routino.org/

Package: routino
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Set of tools to find a path between two points
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap

Package: routino-www
Architecture: all
Depends: apache2 | httpd,
         libjs-leaflet,
         javascript-common,
         routino,
         ${misc:Depends}
Description: Web frontend for routino
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This is the web frontend to the router.
