## routino 2.7.3

=== web/Makefile ===
--- 
+++ 
@@ -48,6 +48,8 @@
 PROFILE_FILES=profiles.pl \
 	      profiles.js
 
+TRANS_FILES=$(wildcard $(WEBTRANSDIR)/translation.*.txt)
+
 DOC_FILES=$(notdir $(wildcard $(DOCDIR)/html/*.html)) $(notdir $(wildcard $(DOCDIR)/html/*.css))
 
 EXE_FILES=planetsplitter planetsplitter-slim \
@@ -71,13 +73,13 @@
 all-data: all-xml
 	@[ -d $(WEBDATADIR) ] || mkdir -p $(WEBDATADIR)
 	@for file in $(STANDARD_XML_FILES); do \
-	    if [ ! -f $(WEBDATADIR)/$$file ] || [ routino-$$file -nt $(WEBDATADIR)/$$file ]; then \
+	    if [ ! -f $(WEBDATADIR)/$$file ] || [ $(XMLDIR)/routino-$$file -nt $(WEBDATADIR)/$$file ]; then \
 	       echo cp $(XMLDIR)/routino-$$file $(WEBDATADIR)/$$file ;\
 	       cp -f $(XMLDIR)/routino-$$file $(WEBDATADIR)/$$file ;\
 	    fi ;\
 	 done
 	@for file in $(SPECIAL_XML_FILES); do \
-	    if [ ! -f $(WEBDATADIR)/$$file ] || [ $$file -nt $(WEBDATADIR)/$$file ]; then \
+	    if [ ! -f $(WEBDATADIR)/$$file ] || [ $(XMLDIR)/$$file -nt $(WEBDATADIR)/$$file ]; then \
 	       echo cp $(XMLDIR)/$$file $(WEBDATADIR)/$$file ;\
 	       cp -f $(XMLDIR)/$$file $(WEBDATADIR)/$$file ;\
 	    fi ;\
@@ -102,14 +104,22 @@
 
 all-icons: $(WEBICONDIR)/ball-0.png
 
-$(WEBICONDIR)/ball-0.png:
-	echo create-icons.pl
+$(WEBICONDIR)/ball-0.png: $(WEBICONDIR)/create-icons.pl
+	@echo create-icons.pl
 	@cd $(WEBICONDIR) && perl create-icons.pl
 
-all-translations: $(WEBWWWDIR)/router.html.en
+all-translations: $(WEBWWWDIR)/router.html.en $(WEBWWWDIR)/visualiser.html.en $(XMLDIR)/routino-translations.xml
 
-$(WEBWWWDIR)/router.html.en:
-	echo translate.pl
+$(WEBWWWDIR)/router.html.en: $(WEBTRANSDIR)/router.html $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
+	@echo translate.pl
+	@cd $(WEBTRANSDIR) && perl translate.pl
+
+$(WEBWWWDIR)/visualiser.html.en: $(WEBTRANSDIR)/visualiser.html $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
+	@echo translate.pl
+	@cd $(WEBTRANSDIR) && perl translate.pl
+
+$(XMLDIR)/routino-translations.xml: $(WEBTRANSDIR)/translations-head.xml $(WEBTRANSDIR)/translations-body.xml $(WEBTRANSDIR)/translations-tail.xml $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
+	@echo translate.pl
 	@cd $(WEBTRANSDIR) && perl translate.pl
 
 all-exe:
