=== src/test/Makefile ===
--- 
+++ 
@@ -85,7 +85,7 @@
 
 ########
 
-$(ROUTINO_EXE) :
+$(ROUTINO_EXE) ::
 	cd .. && $(MAKE) $(notdir $@)
 
 is-fast-math : is-fast-math.o
