=== debian/changelog ===
routino (2.7.3-3) unstable; urgency=medium

  * Use which instead of path to test for invoke-rc.d.
  * Don't use apache2-mainscript-helper in postrm.
    (closes: #793859)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2015 20:33:35 +0200

routino (2.7.3-2) unstable; urgency=medium

  * Set the date embedded in man pages to the changelog date for
    reproducible builds.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 May 2015 16:01:00 +0200

routino (2.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Bump debhelper compatibility to 9.
  * Update copyright file using copyright-format 1.0.
  * Add upstream metadata.
  * Add substitution variable ${perl:Depends} to routino-www.
  * Add man pages for routino utilities.
    (closes: #704172)
  * Remove Apache configuration in postrm too.
    (closes: #775245)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Feb 2015 21:13:14 +0100
