=== debian/control ===
--- 
+++ 
@@ -1,13 +1,18 @@
 Source: routino
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Uwe Steinmann <steinm@debian.org>,
+           Bas Couwenberg <sebastic@debian.org>,
            Thibaut Gridel <tgridel@free.fr>
 Section: misc
 Priority: extra
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                flex,
                libbz2-dev,
-               zlib1g-dev
+               zlib1g-dev,
+               docbook2x,
+               docbook-xsl,
+               docbook-xml,
+               xsltproc
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/routino.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/routino.git
@@ -28,6 +33,7 @@
          libjs-leaflet,
          javascript-common,
          routino,
+         ${perl:Depends},
          ${misc:Depends}
 Description: Web frontend for routino
  Routino is an application for finding a route between two points
